#include <dos.h>
#include <iostream.h>
#include <stdio.h>
#include <conio.h>

main()
{
void far *p;
clrscr();

printf("         | Адрес сегмента | Короткий адрес | Физический адрес\n");
printf("---------------------------------------------------------------\n");
//      1        10               27               44

for(int i=1; i<15; i++)
{
p = getvect(i);
cout << "Вектор " <<i;
gotoxy(10, wherey());printf("|");
gotoxy(14, wherey());
cout << hex << FP_SEG(p);
gotoxy(27, wherey());printf("|");
gotoxy(31, wherey());
cout << FP_OFF(p);
gotoxy(44, wherey());printf("|");
gotoxy(48, wherey());
cout << FP_SEG(p)*16+FP_OFF(p) << "\n";
}
if(!getch())getch();
return 0;
}